<div ng-controller="UsuarioController">
  <div class="page page-tables-bootstrap">
    <div class="pageheader">
      <div class="page-bar">
        <ul class="page-breadcrumb">
          <li>
            <a ui-sref="admin.dashboard"><i class="fa fa-home"></i> Home</a>
          </li>
          <li>
            <a>Usuario</a>
          </li>
        </ul>
      </div>
    </div>
    <div class="pagecontent">
      <div class="row">
        <div class="col-md-12">
          <section class="tile" fullscreen="isFullscreen08">
            <div class="tile-header dvd dvd-btm">
              <h1 class="custom-font"><i class="fa fa-list"></i> LISTA DE USUARIOS</h1>
            </div>
            <div class="tile-body p-1">
              <div class="row">
                <div class="col-md-6">
                  <div class="form-group">
                    <input type="text" class="form-control" ng-model="buscar" placeholder="Buscar Usuario">
                  </div>
                </div>
                <div class="col-md-2">
                  
                </div>
                <div class="col-md-4">
                  <button ng-if="permisosHas('usuario.registrar')" class="btn btn-success btn-rounded-10 btn-block btn-border" ng-click="clear();openModalSave($event)"  data-options="splash-2 splash-ef-14"><i class="fa fa-plus"></i> agregar usuario</button>
                </div>
                <div class="col-md-12">
                  <hr>
                </div>
              </div>

              <div class="row" ng-if="isLoading">
                <div class="col-md-12">
                  <loading></loading>
                </div>
              </div>

              <div class="row" ng-if="!isLoading">
                  <div class="col-md-12">
                    <h5 class="text-right"><strong>CANTIDAD : {{usuarios.length}} USUARIOS</strong></h5>
                  </div>
                  <div class="col-md-12" ng-if="usuarios.length > 0">
                    <small>
                      <div class="table-responsive">
                        <table class="table table-hover table-bordered">
                          <thead>
                            <tr>
                              <th class="text-center" ng-if="permisosHas('usuario.eliminar') || permisosHas('usuario.actualizar')">OPCIONES</th>
                              <th>NOMBRES</th>
                              <th class="text-center" ng-if="permisosHas('usuario.configuracion')">CONFIGURACIÓN</th>
                              <th class="text-center">TELÉFONO</th>
                              <th>EMAIL</th>
                              <th class="text-center">CARGO</th>
                              <th class="text-center">NICK</th>
                            </tr>
                          </thead>
                          <tbody>
                            <tr dir-paginate="usuario in usuarios |filter: buscar | itemsPerPage: 10" pagination-id="usuario.id">
                              <td class="text-center" ng-if="permisosHas('usuario.eliminar') || permisosHas('usuario.actualizar')">
                                <div class="input-group-btn">
                                  <button ng-if="permisosHas('usuario.actualizar')" class="btn btn-info btn-border btn-sm btn-radius-left" ng-class="{'btn-radius-right' : !permisosHas('usuario.eliminar')}"  title="EDITAR USUARIO {{usuario.nombre | uppercase}}" data-options="splash-2 splash-ef-14" ng-click="load(usuario);openModalSave($event)"><span class="fa fa-edit"></span></button>
                                  <button ng-if="permisosHas('usuario.eliminar')" class="btn btn-danger btn-border btn-sm btn-radius-right" ng-class="{'btn-radius-left' : !permisosHas('usuario.actualizar')}" title="ELIMINAR USUARIO {{usuario.nombre | uppercase}}" data-options="splash-2 splash-ef-14" ng-click="load(usuario);openModalDelete($event)"><span class="fa fa-trash"></span></button>
                                </div>
                              </td>
                              <td>{{usuario.fullname | uppercase}}</td>
                              <td ng-if="permisosHas('usuario.configuracion')">
                                <a class="btn btn-blue btn-sm btn-border btn-rounded-10" ui-sref="admin.seguridad.configuracion" ng-click="redirectTo(usuario)" title="CONFIGURACIÓN DE USUARIO {{usuario.nombre | uppercase}}"><span class="icon-settings"></span> configuración</a>
                              </td>
                              <td class="text-center">{{usuario.telefono}}</td>
                              <td>{{usuario.email}}</td>
                              <td class="text-center">{{usuario.cargo | uppercase}}</td>
                              <td class="text-center">{{usuario.nick}}</td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                    </small>
                    <div class="text-center">
                      <dir-pagination-controls pagination-id="usuario.id"></dir-pagination-controls>
                    </div>
                  </div>
                  <div class="col-md-12" ng-if="usuarios.length == 0">
                    <p class="text-center">
                      <i class="icon-info fa-4x"></i>
                      <h5 class="text-center">no hay usuarios registrados...</h5>
                    </p>
                  </div>
              </div>

            </div>
            <div class="tile-footer p-1">
              <div class="text-right">
                <span class="text-light" style="font-size: 10px;color: black;font-weight: bold;">&copy; COOPERATIVA AGRARIA APPBOSA / BARRIO NUEVA ESPERANZA S-N / SAMAN - PERÚ </span>
              </div>
            </div>
          </section>
        </div>
      </div>
    </div>
  </div>
  <script  type="text/ng-template" id="usuario_modal.html">
    <div class="modal-header">
      <div class="text-center">
        <title-modal name="Usuario"></title-modal>
      </div>            
    </div>
    <div class="modal-body">

      <form ng-submit="createEdit()">

        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
              <label for="nombre">Nombres<span class="obligatorio">*</span></label>
              <input type="text" class="form-control uppercase" name="nombre" ng-model="obj.nombre" placeholder="Nombres" required> 
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-6">
            <div class="form-group">
              <label for="apellido_paterno">Apellido Paterno<span class="obligatorio">*</span></label>
              <input type="text" class="form-control uppercase" name="apellido_paterno" ng-model="obj.apellido_paterno" placeholder="Apellido Paterno" required> 
            </div>
          </div>
          <div class="col-md-6">
            <div class="form-group">
              <label for="apellido_materno">Apellido Materno<span class="obligatorio">*</span></label>
              <input type="text" class="form-control uppercase" name="apellido_materno" ng-model="obj.apellido_materno" placeholder="Apellido Materno" required>  
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-6">
            <div class="form-group">
              <label for="dni">DNI</label>
              <input type="text" class="form-control" name="dni" ng-model="obj.dni" placeholder="DNI">  
            </div>
          </div>
          <div class="col-md-6">
            <div class="form-group">
              <label for="telefono">Teléfono</label>
              <input type="text" class="form-control" name="telefono" ng-model="obj.telefono" placeholder="999-999-999"> 
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
             <label for="email">Correo Electronico</label>
              <input type="text" class="form-control" name="email" ng-model="obj.email" placeholder="@yahoo.com,  @hotmail.com, @gmail.com"> 
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
              <label for="">Cargo en la empresa<span class="obligatorio">*</span></label>
              <select class="form-control uppercase" ng-model="obj.id_cargo" ng-change="changeCargo()" ng-options="cargo.id as cargo.nombre for cargo in cargos">
                <option value="">-- SELECCIONE CARGO --</option>
              </select> 
            </div>
          </div>
        </div>

        <div class="row" ng-if="viewOC===1">
          <div class="col-md-12">
            <div class="form-group">
              <label class="control-label">Operador<span class="obligatorio">*</span></label>
              <select class="form-control" ng-model="obj.id_cliente_operador" 
              ng-options="operador.id as operador.nombre for operador in operadores">
                  <option value="">-- SELECCIONE OPERADOR --</option>
              </select>
            </div>
          </div>
        </div>

        <div class="row"  ng-if="viewOC===2">
          <div class="col-md-12">
            <div class="form-group">
              <label class="control-label">Cliente<span class="obligatorio">*</span></label>  
              <select class="form-control uppercase" ng-model="obj.id_cliente_operador" 
              ng-options="cliente.id as cliente.razon_social for cliente in clientes">
                  <option value="">-- SELECCIONE CLIENTE --</option>
              </select> 
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-6">
            <div class="form-group">
              <label for="nick">Usuario<span class="obligatorio">*</span></label>
              <input type="text" class="form-control" id="nick" name="nick" ng-model="obj.nick" placeholder="Usuario" uib-tooltip="El nombre de usuario debe tener mínimo 6 caracteres" tooltip-placement="top" tooltip-trigger="mouseenter" tooltip-enable="!obj.nick" tooltip-class="tooltipClass" required>
            </div>
          </div>
          <div class="col-md-6">
            <div class="form-group">
              <label for="">Contraseña<span class="obligatorio">*</span></label>
              <input type="password" class="form-control" id="password" ng-model="obj.password" placeholder="Contraseña" uib-tooltip="La contraseña de usuario debe tener mínimo 6 caracteres" tooltip-placement="top" tooltip-trigger="mouseenter" tooltip-enable="!obj.password" tooltip-class="tooltipClass">  
            </div>
          </div>
        </div>  

        <div class="form-group">
          <span class="obligatorio">*</span> Campos Obligatorios
        </div>     
        
        <div class="text-center">
          <button-save ng-if="!httpRequest"></button-save>
          <button-spin ng-if="httpRequest"></button-spin>
          <button-cancel></button-cancel>
        </div>
      </form>
    </div>
  </script>
  <script  type="text/ng-template" id="usuario_delete_modal.html">
    <div class="modal-body">

      <form ng-submit="delete()">
        <form-delete></form-delete>
      </form>
    </div>
  </script>
</div>